<template>
	<view>
		<u-popup :show="successShow" :closeOnClickOverlay="false" :safeAreaInsetBottom="false"  @close="closeClick" mode="center" :round="10">
			<view class="error-box">
				<view class="flex_box flex_row_center">
					<u-image src="@/static/image/success-img.png" width="240rpx" height="240rpx"></u-image>
				</view>
				<view class="tips-value">{{content}}</view>
				<view class="btn-box">
					<u-button class="yes-btn" type="primary" text="返回" @click="backClick"></u-button>
				</view>
			</view>
		</u-popup>
	</view>
</template>

<script>
	export default{
		props:{
			value:{
				type:Boolean,
				default:false
			},
			content: {
				type:String,
				default:''
			}
		},
		watch:{
			value: {
				handler(val) {
					this.successShow = val
				},
				immediate:true
			}
		},
		data() {
			return {
				successShow:false
			}
		},
		methods:{
			closeClick() {
				this.$emit('close')
			},
			backClick() {
				this.$emit('backClick')
			}
		}
	}
</script>

<style lang="scss" scoped>
.error-box {
	width: 580rpx;
	padding: 48rpx 36rpx 48rpx;
	.tips-value {
		color: #1D212A;
		font-family: "PingFang SC";
		font-size: 32rpx;
		font-style: normal;
		font-weight: bold;
		margin-top: 30rpx;
		text-align: center;
	}
	.btn-box {
		display: flex;
		margin-top: 40rpx;
		.yes-btn {
			border-radius: 16rpx;
			background: #0256FF;
			font-size: 32rpx;
		}
	}
}
</style>